Terminals

Retrieve a all terminals of this company

get
/v1/companies/{companyId}/terminals

Get details of all terminals for a given company.

Authorizations
Path parameters
companyIdstringRequired

Unique identifier of the company.

terminalIdstringRequired

Unique identifier of the terminal.

Responses
chevron-right
200

Detailed information about the terminal.

application/json
idstringOptional

Unique identifier of the terminal.

namestringOptional

Name or descriptive identifier of the terminal.

modelstringOptional

Model number or type of the terminal.

currencystring · enumOptionalPossible values:
serialstringOptional

Serial number of the terminal.

activebooleanOptional

Indicates whether the terminal is currently active.

createdstring · date-timeOptional

Timestamp indicating when the terminal was created.

get
/v1/companies/{companyId}/terminals

Retrieve a Specific Terminal

get
/v1/companies/{companyId}/terminals/{terminalId}

Get details of a specific terminal for a given company under the authenticated partner.

Authorizations
Path parameters
companyIdstringRequired

Unique identifier of the company.

terminalIdstringRequired

Unique identifier of the terminal.

Responses
chevron-right
200

Detailed information about the terminal.

application/json
idstringOptional

Unique identifier of the terminal.

namestringOptional

Name or descriptive identifier of the terminal.

modelstringOptional

Model number or type of the terminal.

currencystring · enumOptionalPossible values:
serialstringOptional

Serial number of the terminal.

activebooleanOptional

Indicates whether the terminal is currently active.

createdstring · date-timeOptional

Timestamp indicating when the terminal was created.

get
/v1/companies/{companyId}/terminals/{terminalId}

Create a access token for you to use internally with communication with the terminal

post
/v1/companies/{companyId}/terminals/{terminalId}/access_token

Get details of a specific terminal for a given company under the authenticated partner.

Authorizations
Path parameters
companyIdstringRequired

Unique identifier of the company.

terminalIdstringRequired

Unique identifier of the terminal.

Responses
chevron-right
200

Detailed information about the terminal.

application/json
access_tokenstringOptional
post
/v1/companies/{companyId}/terminals/{terminalId}/access_token

Create a pairing code in order to pair a physical device to the virutal terminal profile.

post
/v1/companies/{companyId}/terminals/{terminalId}/pair

Create a pairing code in order to pair a physical device to the virutal terminal profile.

Authorizations
Path parameters
companyIdstringRequired

Unique identifier of the company.

terminalIdstringRequired

Unique identifier of the terminal.

Responses
chevron-right
200

Detailed information about the terminal.

application/json
pairing_codestringOptional
post
/v1/companies/{companyId}/terminals/{terminalId}/pair

Last updated